Skip to main content
GET
https://api.aisa.one/apis/v1
/
twitter
/
user
/
last_tweets
Get User Last Tweets
curl --request GET \
  --url https://api.aisa.one/apis/v1/twitter/user/last_tweets \
  --header 'Authorization: Bearer <token>'
{
  "code": 123,
  "msg": "<string>",
  "data": {
    "tweets": [
      {}
    ],
    "pin_tweet": {}
  },
  "has_next_page": true,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

userId
string

User ID of the user

userName
string

Screen name of the user

cursor
string

Cursor for pagination

includeReplies
boolean
default:false

Include replies in the results

Response

200 - application/json

User tweets

status
enum<string>
Available options:
success,
error
code
integer

Provider status code returned by the AIsa wrapper.

msg
string
data
object
has_next_page
boolean
next_cursor
string | null